package cn.com.qmth.examcloud.core.examwork.dao.entity;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;

@Entity
@Table(name = "EC_E_EXAM_STUDENT", indexes = {
		@Index(name = "IDX_E_E_S_001001", columnList = "studentId,examId,courseId", unique = true)})
public class ExamStudentEntity extends JpaEntity {

	private static final long serialVersionUID = 757531976286006550L;

	@Id
	@GeneratedValue
	private Long id;

	/**
	 * 学生用户id
	 */
	private Long studentId;

	/**
	 * 考生姓名
	 */
	private String name;

	/**
	 * 考试
	 */
	private Long examId;

	/**
	 * 学校id
	 */
	private Long rootOrgId;

	/**
	 * 学习中心id
	 */
	private Long orgId;

	/**
	 * 学号
	 */
	private String studentCode;

	/**
	 * 身份证号
	 */
	private String identityNumber;

	/**
	 * 课程ID
	 */
	private Long courseId;

	/**
	 * 试卷类型
	 */
	private String paperType;

	/**
	 * 专业名称
	 */
	private String specialtyName;

	/**
	 * 年级
	 */
	private String grade;

	/**
	 * 备注
	 */
	private String remark;

	/**
	 * 考点
	 */
	private String examSite;

	/**
	 * 信息采集人
	 */
	private String infoCollector;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}

	public String getPaperType() {
		return paperType;
	}

	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}

	public String getSpecialtyName() {
		return specialtyName;
	}

	public void setSpecialtyName(String specialtyName) {
		this.specialtyName = specialtyName;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getExamSite() {
		return examSite;
	}

	public void setExamSite(String examSite) {
		this.examSite = examSite;
	}

	public String getInfoCollector() {
		return infoCollector;
	}

	public void setInfoCollector(String infoCollector) {
		this.infoCollector = infoCollector;
	}

}
